SND_PCM_STOP_XRUN(9)

NAME
snd_pcm_stop_xrun - stop the running streams as XRUN

SYNOPSIS

int snd_pcm_stop_xrun(struct snd_pcm_substream * substream);

ARGUMENTS

substream
    the PCM substream instance

DESCRIPTION

This stops the given running substream (and all linked substreams) as XRUN. Unlike snd_pcm_stop, this function takes the substream lock by itself.

RETURN

Zero if successful, or a negative error code.

COPYRIGHT